Loading...
Searching...
No Matches
BALL::TypeRuleProcessor Class Reference
Molecular Modeling » Molecular Mechanics » Rule-based parameter assignment

`#include <BALL/MOLMEC/COMMON/typeRuleProcessor.h>`

Inheritance diagram for BALL::TypeRuleProcessor:

## Public Member Functions

| TypeRuleProcessor ()
| TypeRuleProcessor (INIFile &file, const String &prefix)
| TypeRuleProcessor (const TypeRuleProcessor &rule_processor)
| ~TypeRuleProcessor ()
Processor related methods
virtual Processor::Result | operator() (Atom &atom)
Public Member Functions inherited from BALL::RuleProcessor
| RuleProcessor ()
| RuleProcessor (INIFile &file, const String &prefix)
| RuleProcessor (const RuleProcessor &rule_processor)
| ~RuleProcessor ()
void | clear ()
void | destroy ()
bool | initialize (INIFile &file, const String &prefix)
const RuleProcessor & | operator= (const RuleProcessor &rule_processor)
void | set (const RuleProcessor &rule_processor)
virtual bool | start ()
virtual bool | finish ()
String | evaluate (const Atom &atom)
bool | isValid () const
void | dump (std::ostream &s=std::cout) const
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
RuleEvaluator | evaluator_
bool | valid_

## Detailed Description

Type Rule Processor.

Definition at line 22 of file typeRuleProcessor.h.

## Constructor & Destructor Documentation

## TypeRuleProcessor() [1/3]

BALL::TypeRuleProcessor::TypeRuleProcessor | ( |  | ) |

Constructors and Destructors Default constructor

## TypeRuleProcessor() [2/3]

BALL::TypeRuleProcessor::TypeRuleProcessor | ( | INIFile & | file,
|  | const String & | prefix )

Detailed constructor

## TypeRuleProcessor() [3/3]

BALL::TypeRuleProcessor::TypeRuleProcessor | ( | const TypeRuleProcessor & | rule_processor | ) |

Copy constructor

## ~TypeRuleProcessor()

BALL::TypeRuleProcessor::~TypeRuleProcessor | ( |  | ) |

Destructor

## Member Function Documentation

## operator()()

virtual Processor::Result BALL::TypeRuleProcessor::operator() | ( | Atom & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Atom >.